<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:report-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRSML/1.0/lrsml.dtd">
<lire:report-spec xmlns:lire="http://www.logreport.org/LRSML/"
 superservice="dns" id="requests-by-period-by-method">

 <lire:title>Requests By Period By Method DNS Report (Obsolete)</lire:title>
 <lire:description>
  <para>This report shows the number of requests aggregated in
    configurable time periods.

   <warning>
    <para>With the implementation of global filter, that report
     specification is now obsolete. You should rather use <constant
      role="report-spec">requests-by-period</constant> in a section
     with the <constant role="filter-spec">select-resolver</constant>
     filter.
    </para>
   </warning>
  </para>
 </lire:description>

 <lire:param-spec>
  <lire:param name="period" type="duration" default="1d">
   <lire:description>
    <para>This parameter controls the time period over which the
     requests are aggregated.
    </para>
   </lire:description>
  </lire:param>
  <lire:param name="method" type="string" default="^recurs$">
   <lire:description>
    <para>This parameter filters the requests just for one method.
     By defaults the requests are given for the "recurs" method.
     Possible methods are:
     <variablelist>
      <varlistentry>
       <term>nonrec</term>
       <listitem>
        <para>Non-recursive requests.</para>
       </listitem>
      </varlistentry>
      <varlistentry>
       <term>recurs</term>
       <listitem>
        <para>Recursive requests.</para>
       </listitem>
      </varlistentry>
     </variablelist>
    </para>
   </lire:description>
  </lire:param>
 </lire:param-spec>

 <lire:display-spec>
  <lire:title>Requests By $period ($method)</lire:title>
 </lire:display-spec>

 <lire:filter-spec>
  <lire:eq arg1="$resolver" arg2="$method"/>
 </lire:filter-spec>

 <lire:report-calc-spec>
  <lire:timegroup period="$period">
   <lire:count name="request"/>
  </lire:timegroup>
 </lire:report-calc-spec>

</lire:report-spec>

<!--
Keep this comment at the end of the file
Local variables:
mode: xml
-->
